{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/StateMachineImpl.eUnset(I)V",
  "numberOfDefinitions": 1,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/impl/StateMachineImpl.getSubmachineStates()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getOwnedBehaviors()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehaviorImpl.getOwnedRules()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.setRepresentation(Lorg/eclipse/uml2/uml/CollaborationUse;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehaviorImpl.getOwnedParameters()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehaviorImpl.setSpecification(Lorg/eclipse/uml2/uml/BehavioralFeature;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StateMachineImpl.getConnectionPoints()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getCollaborationUses()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.setClassifierBehavior(Lorg/eclipse/uml2/uml/Behavior;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.unsetName()V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getNestedClassifiers()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getUseCases()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.setOwningTemplateParameter(Lorg/eclipse/uml2/uml/TemplateParameter;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.setIsFinalSpecialization(Z)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getOwnedReceptions()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.unsetVisibility()V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehaviorImpl.getPreconditions()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getClientDependencies()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getInterfaceRealizations()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getGeneralizations()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getElementImports()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotations()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getOwnedUseCases()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.setTemplateParameter(Lorg/eclipse/uml2/uml/TemplateParameter;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getPowertypeExtents()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StateMachineImpl.getRedefinedBehaviors()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getGenerals()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getPackageImports()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getSuperClasses()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getTemplateBindings()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehaviorImpl.getOwnedParameterSets()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getOwnedAttributes()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.setIsLeaf(Z)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.setPackage(Lorg/eclipse/uml2/uml/Package;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getSubstitutions()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehaviorImpl.getPostconditions()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/emf/ecore/util/EObjectContainmentWithInverseEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;II)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehaviorImpl.unsetIsReentrant()V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.setNameExpression(Lorg/eclipse/uml2/uml/StringExpression;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.setIsAbstract(Z)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StateMachineImpl.getRegions()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredClassifierImpl.getOwnedConnectors()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getOwnedOperations()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehaviorImpl.getRedefinedClassifiers()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedComments()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StateMachineImpl.getExtendedStateMachines()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicUnset(I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.setIsActive(Z)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.setOwnedTemplateSignature(Lorg/eclipse/uml2/uml/TemplateSignature;)V": 1
  }
}